/*
 *  typespeed - measures your typing speed
 *  Copyright (C) 1999-2003   Jani Ollikainen  <bestis@iki.fi>
 *                          & Jaakko Manelius  <jman@iki.fi>
 *  Copyright (C) 2006-2007   Tobias Stoeckmann  <tobias@bugol.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * typespeed.h - main header file
 */

#include <sys/param.h>

#define WORD_MAX	10000

struct finfo {
	char descr[61];
	char name[MAXPATHLEN];
};

struct stats {
	unsigned short level;
	unsigned long score;
	unsigned long tcount;
	unsigned long wordswritten;
	float ratio;
	float speed;
	float totalspeed;
	clock_t duration;
	unsigned int sinit;
} now;

struct opt {
	int cheat;
	int client;
	int port;
	unsigned int seed;
	int server;
	int usecolors;
} opt;

struct rules {
	int misses;
	int minlen;
	int maxlen;
	int minwords;
	int maxwords;
	int hightype;
	unsigned long minscore;
	int minspeed;
	int maxspeed;
	int step;
	int smooth;
	float spd_multi;
	int mintime;
	int maxtime;
	char name[31];
	char fname[NAME_MAX + 1];
} rules;

